package com.frist008.nixlibrary;

import android.database.Cursor;
import android.net.Uri;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.support.v7.widget.RecyclerView;
import android.widget.CursorAdapter;

import com.frist008.nixlibrary.database.Sort;

@SuppressWarnings("unused")
public class CursorRecyclerLoader extends NixCursorLoader<RecyclerView> {

	protected CursorRecyclerLoader(@Nullable Fragment fragment,
	                               @NonNull FragmentActivity activity,
	                               @NonNull RecyclerView recyclerView,
	                               int loaderId,
	                               @Nullable OnChangeCursorBeforeListener listenerBefore,
	                               @Nullable OnChangeCursorAfterListener listenerAfter,
	                               @Nullable OnChangeWhereListener selectListener,
	                               @Nullable Uri uri,
	                               @Nullable String[] projection,
	                               @Nullable Sort sortOrder,
	                               @Nullable String select,
	                               @Nullable String... args) {
		super(fragment,
		      activity,
		      recyclerView,
		      loaderId,
		      listenerBefore,
		      listenerAfter,
		      selectListener,
		      uri,
		      projection,
		      sortOrder,
		      select,
		      args);
	}

	/**
	 * @see CursorAdapter#changeCursor(Cursor)
	 */
	@Override
	protected void changeCursor(@NonNull RecyclerView recyclerView, @Nullable Cursor cursor) {
		LoaderRecyclerUtils.changeCursor(recyclerView, cursor);
		super.changeCursor(recyclerView, cursor);
	}
}
